Subject: Re: B20: hang on pipe to grep
From: [email-masked] (Earnie Boyd)

20 Nov 1998 04:52:42 -0800
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: Stipe Tolj <[email-masked]>, [email-masked]
Cc: [email-masked]

---Stipe Tolj <[email-masked]> wrote:
>
> > The following causes B20 to hang on my WINNT box.  It may run for a
> > while before hanging:

How _LONG_ is _a_while_?

> >
> > % while true; do echo $PATH | grep bin; done
> 
>  yep, on Win98 the same things happens. Windows claims that bash
causes
> a illegal operation. I suppose bash is getting a stack overflow within
> this infinity loop.
> 

I've run it on NT 3.51 for about 15 minutes without it hanging, I
finally C-c the process.

uname -a
CYGWIN_NT-3.51 BCMHCF01 20.0 (0.1/1/1) -11-8 11:59:08 i586 unknown

echo $CYGWIN
notty nobinmode notitle

==
-                        \\||//
-------------------o0O0--Earnie--0O0o-------------------
--                [email-masked]               --
-- http://www.freeyellow.com/members5/gw32/index.html --
----------------------ooo0O--O0ooo----------------------

PS: Newbie's, you should visit my page.
_________________________________________________________
DO YOU YAHOO!?
Get your free @yahoo.com address at http://mail.yahoo.com

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".